﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Steema.TeeChart.Web;

public partial class _Default : System.Web.UI.Page
{

    protected override void OnPreInit(EventArgs e)
    {
        base.OnPreInit(e);

        if (IsPostBack )
            if (!Button1.Visible)
            {
                UpdatePanel lPanel = new UpdatePanel();
                lPanel.ID = "panel";
                PlaceHolder1.Controls.Add(lPanel);
                WebChart lChart = new WebChart();
                lChart.ID = "myChart";
                lChart.TempChart = TempChartStyle.Httphandler;
                lPanel.ContentTemplateContainer.Controls.Add(lChart);
                lChart.AutoPostback = true;
                lChart.ClickSeries += new WebChart.SeriesEventHandler(lChart_ClickSeries);
                lChart.Width = new Unit(800, UnitType.Pixel);
                lChart.Style.Add(HtmlTextWriterStyle.Position, "absolute");
                lChart.Style.Add(HtmlTextWriterStyle.Top, "60px");
                lChart.Style.Add(HtmlTextWriterStyle.Left, "60px");
                lChart.Chart.Import.Template.Load("C:\\tmp\\chart.ten");
                
            }
            else
            {
                

                WebChart lChart = new WebChart();
                lChart.ID = "myChart";
                lChart.Chart.Series.Add(new Steema.TeeChart.Styles.Bar3D());
                lChart.Chart.Series[0].Add(1, 1, "lala1");
                lChart.Chart.Series[0].Add(2, 2, "lala2");
                lChart.Chart.Series[0].Add(3, 1, "lala3");
                lChart.Width = new Unit(800, UnitType.Pixel);
                lChart.TempChart = TempChartStyle.Httphandler;
                lChart.AutoPostback = true;
                lChart.Style.Add(HtmlTextWriterStyle.Position, "absolute");
                lChart.Style.Add(HtmlTextWriterStyle.Top, "60px");
                lChart.Style.Add(HtmlTextWriterStyle.Left, "60px");
                UpdatePanel lPanel = new UpdatePanel();
                lPanel.ID = "panel";

                PlaceHolder1.Controls.Add(lPanel);
                lPanel.ContentTemplateContainer.Controls.Add(lChart);

                lChart.ClickSeries += new WebChart.SeriesEventHandler(lChart_ClickSeries);
                lChart.Chart.Export.Template.Save("C:\\tmp\\chart.ten");

                Button1.Visible = false;
            }
    
    }
    protected void Page_Load(object sender, EventArgs e)
    {

    }
    
    protected void Button1_Click(object sender, EventArgs e)
    {
        //Session["grilla"] = "true";

        //WebChart lChart = new WebChart();
        //lChart.ID = "myChart";
        //lChart.Chart.Series.Add(new Steema.TeeChart.Styles.Line());
        //lChart.Chart.Series[0].Add(1, 1, "lala1");
        //lChart.Chart.Series[0].Add(2, 2, "lala2");
        //lChart.Chart.Series[0].Add(3, 1, "lala3");
        //lChart.Width = new Unit(800, UnitType.Pixel);
        //lChart.TempChart = TempChartStyle.Httphandler;
        //lChart.AutoPostback = true;
        //UpdatePanel lPanel = new UpdatePanel();
        //lPanel.ID = "panel";
        
        //PlaceHolder1.Controls.Add(lPanel);
        //lPanel.ContentTemplateContainer.Controls.Add(lChart);
        
        //lChart.ClickSeries += new WebChart.SeriesEventHandler(lChart_ClickSeries);
        //lChart.Chart.Export.Template.Save("C:\\tmp\\chart.ten");
    }

    void lChart_ClickSeries(object sender, Steema.TeeChart.Styles.Series s, int valueIndex, EventArgs e)
    {
        
        TextBox1.Text += "la";
        UpdatePanel1.Update();
    }
}